Debian Bug report logs - #675648
libfso-glib: Please switch to vala 0.16

version graph

Package: src:libfso-glib; Maintainer for src:libfso-glib is Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>;

Reported by: biebl@debian.org

Date: Sat, 2 Jun 2012 16:04:09 UTC

Severity: normal

Found in version libfso-glib/2012.05.24.1-1

Fixed in version libfso-glib/2012.07.27.2-1

Done: Sebastian Reichel <sre@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#675648; Package src:libfso-glib. (Sat, 02 Jun 2012 16:04:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to biebl@debian.org:
New Bug report received and forwarded. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Sat, 02 Jun 2012 16:04:12 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: biebl@debian.org
To: maintonly@bugs.debian.org
Subject: libfso-glib: Please switch to vala 0.16
Date: Sat, 02 Jun 2012 18:02:27 +0200
Source: libfso-glib
Version: 2012.05.24.1-1
Severity: normal
User: pkg-vala-maintainers@lists.alioth.debian.org
Usertags: vala-0.16-default

Hi,

libfso-glib currently has a build dependency on either valac-0.14 or
libvala-0.14-dev.

For wheezy, the default valac version will be 0.16 and we recommend
that you switch libfso-glib to valac-0.16.

That said, as the default was switched rather late to 0.16 during the
release cycle, we will ship both 0.14 and 0.16 for wheezy.

This means your package will remain buildable in any case, but if you
are planning an upload anyway, please consider switching to 0.16
while at it. In most cases a simple update of the build dependencies
is sufficient.

Thanks!

Michael, on behalf of the Debian Vala team. 




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 07 Jan 2013 04:27:04 GMT) Full text and rfc822 format available.

Reply sent to Sebastian Reichel <sre@debian.org>:
You have taken responsibility. (Sun, 05 May 2013 23:03:04 GMT) Full text and rfc822 format available.

Notification sent to biebl@debian.org:
Bug acknowledged by developer. (Sun, 05 May 2013 23:03:04 GMT) Full text and rfc822 format available.

Message #12 received at 675648-close@bugs.debian.org (full text, mbox):

From: Sebastian Reichel <sre@debian.org>
To: 675648-close@bugs.debian.org
Subject: Bug#675648: fixed in libfso-glib 2012.07.27.2-1
Date: Sun, 05 May 2013 23:00:09 +0000
Source: libfso-glib
Source-Version: 2012.07.27.2-1

We believe that the bug you reported is fixed in the latest version of
libfso-glib, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675648@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastian Reichel <sre@debian.org> (supplier of updated libfso-glib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 06 Jan 2013 20:31:45 +0100
Source: libfso-glib
Binary: libfso-glib2 libfso-glib-dev libfso-glib-dbg
Architecture: source amd64
Version: 2012.07.27.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>
Changed-By: Sebastian Reichel <sre@debian.org>
Description: 
 libfso-glib-dbg - debugging symbols for use with libfso-glib
 libfso-glib-dev - Development files for libfso-glib
 libfso-glib2 - freesmartphone.org GLib-based DBus bindings
Closes: 675648 693577
Changes: 
 libfso-glib (2012.07.27.2-1) unstable; urgency=low
 .
   [ Lukas Märdian ]
   * New upstream release
   * Bump ABI version
   * Update to vala 0.16 (Closes: #675648)
   * Update to vala-dbus-binding-tool 0.4.0
 .
   [ Paul Wise ]
   * Remove prebuilt files in clean target, so that they
     are rebuilt from fso-specs.
 .
   [ Sebastian Reichel ]
   * Add Built-Using tags to all generated packages (Closes: #693577)
Checksums-Sha1: 
 7a3a8bb4c49df21db83455ae41abf2a68e407f98 2370 libfso-glib_2012.07.27.2-1.dsc
 6e453ea8da192ef86cc2be35ba475803a7f59840 500419 libfso-glib_2012.07.27.2.orig.tar.bz2
 489482eb8f694006a44ddb52428de70e62587730 10338 libfso-glib_2012.07.27.2-1.debian.tar.gz
 0eca233ec6e8ae71c2c449e3fcf0a4f530900ec2 408444 libfso-glib2_2012.07.27.2-1_amd64.deb
 605076bb695d8b1f71c16246c2a9e072d26710b3 42046 libfso-glib-dev_2012.07.27.2-1_amd64.deb
 d04ac520728dadadda80ebffcbaf51fc615d64b7 1304672 libfso-glib-dbg_2012.07.27.2-1_amd64.deb
Checksums-Sha256: 
 7b410e63fec89b1dbc6d708d08f0a119fee9e73b2cf059936fccda70293d50f7 2370 libfso-glib_2012.07.27.2-1.dsc
 4f9ead3e400b910c9bd5ca1e9f7691c96bcb2210a5ffd44321d6e14554bf0777 500419 libfso-glib_2012.07.27.2.orig.tar.bz2
 804a80d59b434e34ab70d5cc791029f7c8683cfc9a09c3a0e44666581f49ea2c 10338 libfso-glib_2012.07.27.2-1.debian.tar.gz
 70e4c17cfac47898dad5cacd7c6203f320994a66a231924e736a74c840277d28 408444 libfso-glib2_2012.07.27.2-1_amd64.deb
 e444fc76f86302b09259d01d5b3ea485a89484c2e637def7cf5b809b49d95252 42046 libfso-glib-dev_2012.07.27.2-1_amd64.deb
 c2ee79e49b2f18f38c459b65c1155a74fc438840b5714f46b10227c3742d4997 1304672 libfso-glib-dbg_2012.07.27.2-1_amd64.deb
Files: 
 c71752d899e0000b5f41ad1fb51db9ff 2370 libs extra libfso-glib_2012.07.27.2-1.dsc
 5eae8b8ef3668077550d7e65c313ed7f 500419 libs extra libfso-glib_2012.07.27.2.orig.tar.bz2
 42db68667c25a73d53870eaf2ddf8ce3 10338 libs extra libfso-glib_2012.07.27.2-1.debian.tar.gz
 429d35301df5d6bcf5bb78600ebf5638 408444 libs extra libfso-glib2_2012.07.27.2-1_amd64.deb
 86821052f55052c34105f4d1a88e17eb 42046 libdevel extra libfso-glib-dev_2012.07.27.2-1_amd64.deb
 f0eb9afe5644d5399e1a9e8d4d1d4404 1304672 debug extra libfso-glib-dbg_2012.07.27.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ6dqZAAoJENju1/PIO/qauOwP/3ChYYuzcKuIc1e+DxxmZHHw
Epwm+six4R+xKF2LZEaZngMQYpnaHyq5eKK/AWcS6BrwvkcsBPJlBQklyiyCJlh8
90CkT3MyNc0lzV2ycinj+T9mZJo72u/Uj9XQNorff5EvfjOQM3omhXNq5mG2GHql
SleCXoZLdOyVtRvJJYfvnJAVsYV6vm9HLd58qAdZe2dOZGMHZLftG90Uj8I0FLCm
arZ4yKFnI6+OnEOaIaXAtI8AY/TPthE+Szjq3Zdz+Uf4Jv4Hb0s82145hk4Eyst+
e8ZfhfSS/ea4l42hkujPE0NDOc7wo8caPcfvPRF1r7M47vR7xYZPhAambWiBai+X
fZZi+eHKgMHvR8nOHrHXf8qJ76/DnKnhrhaz51niwPAsvelVUiTtno/hkzUJgyNZ
LP23qRS3BbC/odzMxKibdk0qQRncwZ4w6Ae2rMHoTtJZnzKlZrdGRDEmQWYBvNvp
vM1XdmF/WQZqcsK6xRGx1ofRl6r0jB2RZvNI9f4bDwBQbuh2eMRz4U+80VackK+B
TA/ar3RJGqBgnbRCFlmiiNRDr30jIbaJXDXkDXANQIa0tOPegCTASh5zp8LPXvw/
vOzzF3hAJdeuSPuw1HAQCoBT/TLSTmgz2efjqRd3HR6LJugEUWpQQ9M+F8dLZI+C
Pyfl9rc0tKebUASWpr4O
=pzIo
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Dec 2013 07:30:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:47:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.